# Class Utilisateur

java.lang.Object
fr.iutfbleau.papillon.Utilisateur

public class Utilisateur extends Object
La classe `Utilisateur` représente un utilisateur unique du logiciel Papillon, identifié par une clé locale.

## Constructor Summary

Constructors
Constructor
Description
`Utilisateur(int id, String cle)`
Constructeur complet d’un utilisateur.
`Utilisateur(String cle)`
Constructeur d’un utilisateur à partir de sa clé uniquement.

## Method Summary

Modifier and Type
Method
Description
`String`
`getCle()`
`int`
`getId()`
`void`
`setCle(String cle)`
`void`
`setId(int id)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Utilisateur

public Utilisateur(int id, String cle)
Constructeur complet d’un utilisateur.

Parameters:
  `id` - l’identifiant de l’utilisateur
  `cle` - la clé unique d’identification

### Utilisateur

public Utilisateur(String cle)
Constructeur d’un utilisateur à partir de sa clé uniquement.

Parameters:
  `cle` - la clé unique d’identification

## Method Details

### getId

public int getId()

Returns:
  l’identifiant de l’utilisateur

### setId

public void setId(int id)

Parameters:
  `id` - définit l’identifiant de l’utilisateur

### getCle

public String getCle()

Returns:
  la clé unique de l’utilisateur

### setCle

public void setCle(String cle)

Parameters:
  `cle` - définit la clé unique de l’utilisateur

### toString

public String toString()

Overrides:
  `toString` in class `Object`
Returns:
  une représentation textuelle de l’utilisateur